
package de.ivu.elect.was.exchange.ergebnis;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasErgebnisArtefaktNachGebietErgebniseingabestatusExportContext;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.was.exchange.ergebnis.eml.Eml510bPSBErgebnisExportMapper;

/**
 * @see NlWasModelN11MainDocumentExportMapper
 * @see NlWasModelN11Eml510dExportMapper
 * @see NlWasModelN11Osv43CsvExportMapper
 */
public class NlWasModelN11Eml510bExportMapper extends AbstractNlWasModelN11Eml510xExportMapper {

  @Inject
  private transient Eml510bPSBErgebnisExportMapper eml510bPSBErgebnisExportMapper;

  public NlWasModelN11Eml510bExportMapper() {
    super();
  }

  @Override
  protected boolean isEmlExportMapperAcceptContextOverridden(NlWasErgebnisArtefaktNachGebietErgebniseingabestatusExportContext context) {
    return NlWahlart.GEMEENTERAAD.equalsWahlart(context.getWahl()); // ELECTVAPP-614, cf. NlWasModelIIEml510bExportMapper
  }

  @Override
  protected Eml510bPSBErgebnisExportMapper getEmlExportMapper() {
    return eml510bPSBErgebnisExportMapper;
  }
}
